Search documentation of macula

# macula_bootstrap_server (macula v0.44.2)

View Source

Bootstrap Server - Main GenServer for bootstrap node operations.

Handles: - DHT queries (FIND_NODE, FIND_VALUE, STORE) - Peer registration and discovery - Statistics tracking

# Summary

## Functions

code_change(OldVsn, State, Extra)
get_stats()

Get bootstrap server statistics

handle_call(Request, From, State)
handle_cast(Msg, State)
handle_dht_query(QueryType, QueryData)

Handle DHT query from remote peer

handle_info(Info, State)
init(Config)
start_link(Config)
terminate(Reason, State)

# Functions

# code_change(OldVsn, State, Extra)

# get_stats()

    -spec get_stats() -> {ok, map()}.

Get bootstrap server statistics

# handle_call(Request, From, State)

# handle_cast(Msg, State)

# handle_dht_query(QueryType, QueryData)

    -spec handle_dht_query(QueryType :: atom(), QueryData :: term()) -> {ok, term()} | {error, term()}.

Handle DHT query from remote peer

# handle_info(Info, State)

# init(Config)

# start_link(Config)

    -spec start_link(Config :: map()) -> {ok, pid()} | {error, term()}.

# terminate(Reason, State)